=== modified file 'bzrlib/errors.py'
--- bzrlib/errors.py	2009-02-23 15:42:47 +0000
+++ bzrlib/errors.py	2009-03-03 04:49:50 +0000
@@ -1634,6 +1634,8 @@
             self.port = ':%s' % port
 
 
+# XXX: This is also used for unexpected end of file, which is different at the
+# TCP level from "connection reset".
 class ConnectionReset(TransportError):
 
     _fmt = "Connection closed: %(msg)s %(orig_error)s"

=== modified file 'bzrlib/smart/medium.py'
--- bzrlib/smart/medium.py	2009-02-23 15:29:35 +0000
+++ bzrlib/smart/medium.py	2009-03-03 04:49:50 +0000
@@ -460,8 +460,7 @@
         if not line.endswith('\n'):
             # end of file encountered reading from server
             raise errors.ConnectionReset(
-                "please check connectivity and permissions",
-                "(and try -Dhpss if further diagnosis is required)")
+                "please check connectivity and permissions")
         return line
 
     def _read_line(self):

=== modified file 'bzrlib/smart/message.py'
--- bzrlib/smart/message.py	2009-02-23 15:29:35 +0000
+++ bzrlib/smart/message.py	2009-03-03 04:49:50 +0000
@@ -283,8 +283,7 @@
                     self._protocol_decoder._get_in_buffer()[:10],
                     self._protocol_decoder.state_accept.__name__)
             raise errors.ConnectionReset(
-                "please check connectivity and permissions",
-                "(and try -Dhpss if further diagnosis is required)")
+                "please check connectivity and permissions")
         self._protocol_decoder.accept_bytes(bytes)
 
     def protocol_error(self, exception):

=== modified file 'bzrlib/tests/test_smart_transport.py'
--- bzrlib/tests/test_smart_transport.py	2009-03-02 04:15:11 +0000
+++ bzrlib/tests/test_smart_transport.py	2009-03-03 04:49:50 +0000
@@ -1528,8 +1528,8 @@
         ex = self.assertRaises(errors.ConnectionReset,
             response_handler.read_response_tuple)
         self.assertEqual("Connection closed: "
-            "please check connectivity and permissions "
-            "(and try -Dhpss if further diagnosis is required)", str(ex))
+            "please check connectivity and permissions ",
+            str(ex))
 
     def test_server_offset_serialisation(self):
         """The Smart protocol serialises offsets as a comma and \n string.

